import { Component } from 'solid-js';
import { peekCachedSignal } from '../../workers/cached-signals';
import RteIcon from '../../icons/directions-svgrepo-com.svg?component-solid';

import Tree from '../tree';

interface Props {
  rteId: string;
}

const RteViewer: Component<Props> = ({ rteId }) => {
  const rte = peekCachedSignal({ id: rteId, method: 'getRte' });
  console.log({ caller: 'RteViewer', rteId, rte: rte() });
  const title = () => {
    return rte().name;
  };

  return (
    <Tree
      title={
        <>
          <RteIcon fill='black' width='24' height='24' /> {title()}
        </>
      }
      content={undefined}
      subTree={undefined}
    />
  );
};

export default RteViewer;
